AntiFeatures:
  - NonFreeNet
Categories:
  - Science & Education
License: Apache-2.0
AuthorName: wulkanowy
AuthorEmail: wulkanowyinc@gmail.com
WebSite: https://wulkanowy.github.io
SourceCode: https://github.com/wulkanowy/wulkanowy
IssueTracker: https://github.com/wulkanowy/wulkanowy/issues
Changelog: https://github.com/wulkanowy/wulkanowy/releases
Donate: https://www.paypal.me/wulkanowy

AutoName: Wulkanowy
Description: |-
  * calculation of the weighted average
  * percentage attendance preview
  * lucky number
  * preview of completed lessons
  * dark theme
  * no ads
  * offline mode
  * notifications

RepoType: git
Repo: https://github.com/wulkanowy/wulkanowy.git

Builds:
  - versionName: 0.9.1
    versionCode: 39
    commit: 0.9.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/bintray.com\/mockito/d' ../build.gradle build.gradle

  - versionName: 0.9.2
    versionCode: 40
    commit: 0.9.2
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/bintray.com\/mockito/d' ../build.gradle build.gradle

  - versionName: 0.9.3
    versionCode: 41
    commit: 0.9.3
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/bintray.com\/mockito/d' ../build.gradle build.gradle

  - versionName: 0.10.2
    versionCode: 45
    commit: 0.10.2
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/bintray.com\/mockito/d' -e 's/mockito-\(.*\):3\.0\.7/mockito-\1:3.0.0/g' -e
      's/mockito_core = "3.0.7"/mockito_core = "3.0.0"/' ../build.gradle build.gradle

  - versionName: 0.11.0
    versionCode: 46
    commit: 0.11.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/bintray.com\/mockito/d' -e 's/mockito-\(.*\):3\.0\.7/mockito-\1:3.0.0/g' -e
      's/mockito_core = "3.0.7"/mockito_core = "3.0.0"/' ../build.gradle build.gradle

  - versionName: 0.12.0
    versionCode: 47
    commit: 0.12.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/bintray.com\/mockito/d' -e 's/mockito-\(.*\):3\.0\.7/mockito-\1:3.0.0/g' -e
      's/mockito_core = "3.0.7"/mockito_core = "3.0.0"/' ../build.gradle build.gradle

  - versionName: 0.24.0
    versionCode: 78
    commit: 0.24.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 0.24.3
    versionCode: 81
    commit: 0.24.3
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 0.25.0
    versionCode: 82
    commit: 0.25.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 0.25.1
    versionCode: 83
    commit: 0.25.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.0.0
    versionCode: 84
    commit: 1.0.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.0.1
    versionCode: 85
    commit: 1.0.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.1.0
    versionCode: 86
    commit: 1.1.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.1.1
    versionCode: 87
    commit: 1.1.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.1.2
    versionCode: 88
    commit: 1.1.2
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.1.3
    versionCode: 89
    commit: 1.1.3
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.1.4
    versionCode: 90
    commit: 1.1.4
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.1.5
    versionCode: 91
    commit: 1.1.5
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.1.6
    versionCode: 92
    commit: 1.1.6
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.2.0
    versionCode: 93
    commit: db6c84775b1b8f68e98eb9117377517848a0add2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.2.1
    versionCode: 94
    commit: 3d0dcead50aec15805eb4be9aecb4b33ea113424
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.2.2
    versionCode: 95
    commit: 6a00e7581605e79ee9c7d4cfd253dbe417a987d1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.2.3
    versionCode: 96
    commit: c69bb2ef711af9b86e126d6ada3319c450f53c33
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.3.0
    versionCode: 97
    commit: 689012131f77ba30d6bea1de199351975a1d8224
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.4.1
    versionCode: 99
    commit: 1960782d8ec889d02c93a1084ca2df51fd759df0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.4.2
    versionCode: 100
    commit: 601d5732831523b5527a5b01fb871a71e55cd64d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.4.3
    versionCode: 101
    commit: a56f4b8745a768f7f41a8436691d07f1e4feeffc
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.4.4
    versionCode: 102
    commit: 4e12eb15528a3bebc55afb9699eb546e8fdb437c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.5.0
    versionCode: 103
    commit: 6dc16b288d2433dfddf6d67efa586ad24209c43e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.6.0
    versionCode: 104
    commit: b371fd67090df1ea7b82fc840872cc4aa9e17531
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.6.1
    versionCode: 105
    commit: ae65228805578524613490614af1404dc025c541
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.6.2
    versionCode: 106
    commit: d5e0ae7b377629056176be9c35cf6eaf98c89d26
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.6.3
    versionCode: 107
    commit: 775b5122ef5c9ae8027e16592fd579149a8722d0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.6.4
    versionCode: 108
    commit: dc74d2877b66d1ae780036af0d8dfa88f156a1d9
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.7.1
    versionCode: 110
    commit: 62c04fb2056ba56fa4836ddc8b08ab598a06f62e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.7.2
    versionCode: 111
    commit: 4b795d6ef5ab06d559447b610cbd0cbab21e9955
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.7.3
    versionCode: 112
    commit: e6571a1dfc5cc4243aec4a35bff1cfbb5f3c5550
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.7.4
    versionCode: 113
    commit: 1033be4503b94a52286eaa17ef2694c05ba4b770
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.7.5
    versionCode: 114
    commit: afc16e3d17e8b7561a6b0602fa95a1ee7804c6fc
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
      -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d' -e
      '/developer.huawei.com/d' -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d'
      ../build.gradle build.gradle

  - versionName: 1.8.0
    versionCode: 115
    commit: 4bce35f81048057b47ee12ab32b4aadffd989103
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
      -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      && sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 1.8.1
    versionCode: 116
    commit: e03aae2d5642763874f9c86dbab080431c006378
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
      -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      && sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 1.8.3
    versionCode: 118
    commit: da0943b31981aaccd295bf1a1e9fbb271de7c63c
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' -e '/s01.oss.sonatype.org/d'
        ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 1.9.0
    versionCode: 119
    commit: 9a8fb593c071befc95651010f18097cdc55aa84f
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' -e '/s01.oss.sonatype.org/d'
        ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 1.9.1
    versionCode: 120
    commit: 4bb119873504cfbe3dbaaef499035f8bc0f89cdb
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' -e '/s01.oss.sonatype.org/d'
        ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 1.9.2
    versionCode: 121
    commit: c4672b8de92768c1c32074f8aa0a7729005c3d91
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' -e '/s01.oss.sonatype.org/d'
        ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.0.0
    versionCode: 122
    commit: 18dbbba32872c91d84daa18eee2d34b5d54804b5
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' -e '/s01.oss.sonatype.org/d'
        ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.0.2
    versionCode: 124
    commit: 88c38c4a8d1b17837340cea6b563962da904f8b5
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' -e '/s01.oss.sonatype.org/d'
        ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.0.3
    versionCode: 125
    commit: d08f1959689e9189682279f0adc8667d3e9247a5
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' -e '/s01.oss.sonatype.org/d'
        ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.0.6
    versionCode: 128
    commit: cc46b3b1240799ec160293cfc4592ca63ebcaa56
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.0.7
    versionCode: 129
    commit: fd482777e84452f8f6ab7e5e28cb6cc346400a74
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.0.8
    versionCode: 130
    commit: 391f38485db947d696cf233fe4cc31f0ac37bd00
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.1.0
    versionCode: 131
    commit: af346842a374eed4a54516960fdcc8b7bf3bd3ba
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.2.0
    versionCode: 132
    commit: 1d8378e1369731d03321743d26f4489e00f78efd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.2.1
    versionCode: 133
    commit: bcd305bef3d4e612453afc38cbcdcf9af9443daf
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.2.2
    versionCode: 134
    commit: 6071b7571b1398d9f188484bfdc1ef25e9e20cf8
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.2.4
    versionCode: 136
    commit: aba08e6aa9148a236fcd51cf86e5481405d1b990
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.2.5
    versionCode: 137
    commit: d9bab2af7848932e08ce130c81cfcf3b6f6a1ac8
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.2.6
    versionCode: 138
    commit: c64be2fab0e42da8f3756012cd4a551056cef1e8
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.2.7
    versionCode: 139
    commit: a2a7d2ebb2fcc9e16c0c76b863927429b18171ea
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.3.0
    versionCode: 140
    commit: eb31f9578f93d02bd6568fc7a68b7e0169728a5c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.3.1
    versionCode: 141
    commit: 770749e1580261aa28d12fb55ccc2cd957ff673c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.3.3
    versionCode: 143
    commit: 17c139b559dd06e0fb070cfba0ce49d71d7b091b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.3.5
    versionCode: 145
    commit: 496695162dbaf5fb33ca65ffec1e3544a98b8029
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.4.0
    versionCode: 146
    commit: b99ba48d2cb6ea222541548c8394a1d670886ec1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.4.1
    versionCode: 147
    commit: 90a5b9e20f8342bec189976d9c1e4115c6beaed3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.4.2
    versionCode: 148
    commit: 3eae3a76670ebba2b4576a9144aefc70ca5d0819
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.5.1
    versionCode: 150
    commit: 5ed19cb21aea9140b937d1051a45378ae433acce
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.5.2
    versionCode: 151
    commit: e17129efea7b4f5850b0bc5054c00fa286293f50
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.5.5
    versionCode: 154
    commit: a82e11d6945dc9254ed553b52e0debf93cbaaa63
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.5.6
    versionCode: 155
    commit: b5cc32d59fb47a9ab1a226d517b1219e72c5d146
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.5.7
    versionCode: 156
    commit: 8dbbea2138274999f3f07a7aeeb1141288e29f01
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.5.8
    versionCode: 157
    commit: 4d67de8e5fc5e33fc3ab51874df4e05f067c278f
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.6.1
    versionCode: 161
    commit: 558addd0972d8ca9d66ddd249bf46d1f291f3354
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.6.4
    versionCode: 164
    commit: a69361708edeed4a3fa7cfed87a8c91829574a93
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.6.5
    versionCode: 165
    commit: ff56348586a8872143024a598888b494f447db6c
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.6.8
    versionCode: 168
    commit: 440cc7ae89e18402cccaf793ba8c700c450f769d
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

  - versionName: 2.6.9
    versionCode: 169
    commit: 6e2bcfbe02b97859a44c17cdbe10a095fde02da0
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/developer.huawei.com/d'
        -e '/com.huawei.agconnect/d' -e '/com.huawei.hms/d' ../build.gradle build.gradle
      - sed -i -r 's/System.env/!System.env/g' build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.6.9
CurrentVersionCode: 169
